Package org.apache.sling.discovery.base.commons

# Enum UndefinedClusterViewException.Reason

java.lang.Object
java.lang.Enum<UndefinedClusterViewException.Reason>
org.apache.sling.discovery.base.commons.UndefinedClusterViewException.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<UndefinedClusterViewException.Reason>`

Enclosing class:
  `UndefinedClusterViewException`

public static enum UndefinedClusterViewException.Reason extends Enum<UndefinedClusterViewException.Reason>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ISOLATED_FROM_TOPOLOGY`
used when the local instance is isolated from the topology (which is noticed by an established view that does not include the local instance)
`NO_ESTABLISHED_VIEW`
used when there is no established view yet (happens on a fresh installation)
`REPOSITORY_EXCEPTION`
used when we couldn't reach the repository

## Method Summary

Modifier and Type
Method
Description
`static UndefinedClusterViewException.Reason`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UndefinedClusterViewException.Reason[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ISOLATED_FROM_TOPOLOGY

public static final UndefinedClusterViewException.Reason ISOLATED_FROM_TOPOLOGY
used when the local instance is isolated from the topology (which is noticed by an established view that does not include the local instance)

### NO_ESTABLISHED_VIEW

public static final UndefinedClusterViewException.Reason NO_ESTABLISHED_VIEW
used when there is no established view yet (happens on a fresh installation)

### REPOSITORY_EXCEPTION

public static final UndefinedClusterViewException.Reason REPOSITORY_EXCEPTION
used when we couldn't reach the repository

## Method Details

### values

public static UndefinedClusterViewException.Reason[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static UndefinedClusterViewException.Reason valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null